# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.POptMode

Packages that use ParForProgramBlock.POptMode
Package
Description
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of ParForProgramBlock.POptMode in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.POptMode
Modifier and Type
Method
Description
`ParForProgramBlock.POptMode`
ParForProgramBlock.`getOptimizationMode()`
`static ParForProgramBlock.POptMode`
ParForProgramBlock.POptMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.POptMode[]`
ParForProgramBlock.POptMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.POptMode
Modifier and Type
Method
Description
`void`
ParForProgramBlock.`setOptimizationMode(ParForProgramBlock.POptMode mode)`

## Uses of ParForProgramBlock.POptMode in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return ParForProgramBlock.POptMode
Modifier and Type
Method
Description
`abstract ParForProgramBlock.POptMode`
Optimizer.`getOptMode()`
`ParForProgramBlock.POptMode`
OptimizerConstrained.`getOptMode()`
`ParForProgramBlock.POptMode`
OptimizerHeuristic.`getOptMode()`
`ParForProgramBlock.POptMode`
OptimizerRuleBased.`getOptMode()`
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type ParForProgramBlock.POptMode
Modifier and Type
Method
Description
`static void`
OptimizationWrapper.`optimize(ParForProgramBlock.POptMode type, ParForStatementBlock sb, ParForProgramBlock pb, ExecutionContext ec, int numRuns)`
Called once per top-level parfor (during runtime, on parfor execute) in order to optimize the specific parfor program block.